org.keycloak.adapters.tomcat7

## Class CatalinaHttpFacade.RequestFacade

- java.lang.Object
- - org.keycloak.adapters.tomcat7.CatalinaHttpFacade.RequestFacade

- All Implemented Interfaces:
    HttpFacade.Request
  Enclosing class:
    CatalinaHttpFacade

      protected class CatalinaHttpFacade.RequestFacade
      extends Object
      implements HttpFacade.Request

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CatalinaHttpFacade.RequestFacade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpFacade.Cookie` | `getCookie(String cookieName)`
    `String` | `getHeader(String name)`
    `List<String>` | `getHeaders(String name)`
    `InputStream` | `getInputStream()`
    `String` | `getMethod()`
    `String` | `getQueryParamValue(String paramName)`
    `String` | `getRemoteAddr()`
    `String` | `getURI()` Full request URI with query params
    `boolean` | `isSecure()` HTTPS?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CatalinaHttpFacade.RequestFacade

          protected CatalinaHttpFacade.RequestFacade()

  - ### Method Detail

    - #### getURI

          public String getURI()

      Description copied from interface: `HttpFacade.Request`
      Full request URI with query params
      Specified by:
        `getURI` in interface `HttpFacade.Request`
      Returns:

    - #### isSecure

          public boolean isSecure()

      Description copied from interface: `HttpFacade.Request`
      HTTPS?
      Specified by:
        `isSecure` in interface `HttpFacade.Request`
      Returns:

    - #### getQueryParamValue

          public String getQueryParamValue(String paramName)

      Specified by:
        `getQueryParamValue` in interface `HttpFacade.Request`

    - #### getCookie

          public HttpFacade.Cookie getCookie(String cookieName)

      Specified by:
        `getCookie` in interface `HttpFacade.Request`

    - #### getHeaders

          public List<String> getHeaders(String name)

      Specified by:
        `getHeaders` in interface `HttpFacade.Request`

    - #### getInputStream

          public InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `HttpFacade.Request`

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `HttpFacade.Request`

    - #### getHeader

          public String getHeader(String name)

      Specified by:
        `getHeader` in interface `HttpFacade.Request`

    - #### getRemoteAddr

          public String getRemoteAddr()

      Specified by:
        `getRemoteAddr` in interface `HttpFacade.Request`

Copyright © 2014. All Rights Reserved.